package ipm.ipmworks.model;

import lombok.Getter;
import lombok.Setter;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.security.core.GrantedAuthority;

@Document(collection="Role")
@Getter
@Setter
public class Role implements GrantedAuthority {
    @Id
    private String idRole;
    private String name;

    @Override
    public String getAuthority() {
        return name;
    }
}
