package ipm.ipmworks.model;

import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.stream.Collectors;

@Getter
@Setter
public class SearchModel {
    private List<Sector> sector;
    private List<Region> region;
    private String pestType;
    private Project project;
    private List<ResourceType> resourceType;
    private List<Pest> pest;
    private List<Crop> crop;
    private List<Language> language;
    private String title;

    public boolean isIPMDecision(){
        int i =resourceType.stream().filter(r->r.getName().startsWith("IPM Decision")).collect(Collectors.toList()).size();
        return i != 0;
    }

}
