package ipm.ipmworks.model;

import lombok.Getter;
import lombok.Setter;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Document(collection="Sector")
@Getter
@Setter
public class Sector {
    @Id
    private String idSector;
    private String name;
    private String name_sr;
    private String name_it;
    private String name_pt;
    private String name_el;
    private String name_es;
    private String name_nl;
    private String name_da;
    private String name_de;
    private String name_sl;
    private String name_fr;
    private String name_fi;
    private String name_pl;

    private String sectorIcon;

    @Override
    public String toString(){
        return name;
    }
}
