package ipm.ipmworks.repository;

import ipm.ipmworks.model.Resource;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

public interface ResourceRepository extends MongoRepository<Resource, String>, PagingAndSortingRepository<Resource,String> {

    public List<Resource> findByApprovedIsFalse();
    public Page<Resource> findByApprovedIsTrue(Pageable page);
}
