package ipm.ipmworks.model;

import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class IpmDecisionModel {
    List<String> pests = new ArrayList<String >();
    List<String> crops = new ArrayList<String >();
    List<String> regions = new ArrayList<String >();
    List<String> languages = new ArrayList<String >();


    public boolean isEmpty(){
        if (!pests.isEmpty()){
            return false;
        }
        if (!crops.isEmpty()){
            return false;
        }
        if (!languages.isEmpty()){
            return false;
        }
        if (!regions.isEmpty()){
            return false;
        }
        return true;
    }
}
